Debian Bug report logs - #595157
udev doesn create dm-crypt and filesystem links (UUID/LABEL)

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Wed, 1 Sep 2010 13:57:15 UTC

Severity: critical

Found in version udev/161-1

Fixed in version udev/163-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#595157; Package udev. (Wed, 01 Sep 2010 13:57:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 01 Sep 2010 13:57:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev doesn create dm-crypt and filesystem links (UUID/LABEL)
Date: Wed, 01 Sep 2010 15:56:34 +0200
Package: udev
Version: 161-1
Severity: critical
Justification: breaks unrelated software


Hi.

Maybe this is the same as #593375.

Since some recent version, udev does not longer create the symlinks in
/dev/disk/by-label and by-uuid for some cases.
E.g. I have non of the by-label/by-uuid links created for any of my ext4-filesystems.

I do however get the UUID links for my LUKS (dm-crypt) devices added.
A friend of mine (also with sid) gets not even those.

Cheers,
Chris.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#595157; Package udev. (Wed, 01 Sep 2010 16:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 01 Sep 2010 16:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 595157@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Christoph Anton Mitterer <calestyo@scientia.net>, 595157@bugs.debian.org
Subject: Re: Bug#595157: udev doesn create dm-crypt and filesystem links (UUID/LABEL)
Date: Wed, 1 Sep 2010 18:25:45 +0200
[Message part 1 (text/plain, inline)]
On Sep 01, Christoph Anton Mitterer <calestyo@scientia.net> wrote:

> Maybe this is the same as #593375.
You can easily verify this: apply this pseudo-patch to the init script
and reboot:

-        rm -rf /dev/.udev/failed/
+        rm -rf /dev/.udev/

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#595157; Package udev. (Thu, 02 Sep 2010 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 02 Sep 2010 08:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 595157@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Christoph Anton Mitterer <calestyo@scientia.net>, 595157@bugs.debian.org
Subject: Re: Bug#595157: udev doesn create dm-crypt and filesystem links (UUID/LABEL)
Date: Thu, 2 Sep 2010 10:46:51 +0200
[Message part 1 (text/plain, inline)]
On Sep 01, Marco d'Itri <md@Linux.IT> wrote:

> > Maybe this is the same as #593375.
> You can easily verify this: apply this pseudo-patch to the init script
> and reboot:
> 
> -        rm -rf /dev/.udev/failed/
> +        rm -rf /dev/.udev/
Any news?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#595157; Package udev. (Thu, 02 Sep 2010 12:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 02 Sep 2010 12:24:05 GMT) Full text and rfc822 format available.

Message #20 received at 595157@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: <md@Linux.IT>
Cc: <595157@bugs.debian.org>
Subject: Re: Bug#595157: udev doesn create dm-crypt and filesystem links (UUID/LABEL)
Date: Thu, 02 Sep 2010 12:22:05 +0000
Hi Marco.

Sorry for the late reply,... had to prepare a lecture for next week...

On Thu, 2 Sep 2010 10:46:51 +0200, md@Linux.IT (Marco d'Itri) wrote:
> On Sep 01, Marco d'Itri <md@Linux.IT> wrote:
> 
>> > Maybe this is the same as #593375.
>> You can easily verify this: apply this pseudo-patch to the init script
>> and reboot:
>> 
>> -        rm -rf /dev/.udev/failed/
>> +        rm -rf /dev/.udev/
> Any news?

Just tried it,... and yes it fixes the problem. by-label returns, and
by-uuid not only contains the UUIDs of LUKS devices (itself), but also
their "encrypted" counterparts in /dev/mapper.

My colleague (the one for which neither LVM, nor LUKS devices appeared in
by-label/uuid) wasn't yet able to test it.
But he reported, that it also happens to him on a fresh installation in a
VM, _without_ lvm2 installed, and after upgrading it to sid.


Cheers,
Chris.




Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Sun, 17 Oct 2010 00:48:18 GMT) Full text and rfc822 format available.

Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Sun, 17 Oct 2010 00:48:18 GMT) Full text and rfc822 format available.

Message #25 received at 595157-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 595157-close@bugs.debian.org
Subject: Bug#595157: fixed in udev 163-1
Date: Sun, 17 Oct 2010 00:45:53 +0000
Source: udev
Source-Version: 163-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

gir1.0-gudev-1.0_163-1_i386.deb
  to main/u/udev/gir1.0-gudev-1.0_163-1_i386.deb
libgudev-1.0-0_163-1_i386.deb
  to main/u/udev/libgudev-1.0-0_163-1_i386.deb
libgudev-1.0-dev_163-1_i386.deb
  to main/u/udev/libgudev-1.0-dev_163-1_i386.deb
libudev-dev_163-1_i386.deb
  to main/u/udev/libudev-dev_163-1_i386.deb
libudev0_163-1_i386.deb
  to main/u/udev/libudev0_163-1_i386.deb
udev-gtk-udeb_163-1_i386.udeb
  to main/u/udev/udev-gtk-udeb_163-1_i386.udeb
udev-udeb_163-1_i386.udeb
  to main/u/udev/udev-udeb_163-1_i386.udeb
udev_163-1.diff.gz
  to main/u/udev/udev_163-1.diff.gz
udev_163-1.dsc
  to main/u/udev/udev_163-1.dsc
udev_163-1_i386.deb
  to main/u/udev/udev_163-1_i386.deb
udev_163.orig.tar.gz
  to main/u/udev/udev_163.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595157@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 Oct 2010 00:34:50 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.0-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 163-1
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.0-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 526621 571255 593375 593881 595157 596165 596387 598254 598337 599074 599761 600207
Changes: 
 udev (163-1) unstable; urgency=low
 .
   * New upstream bugfix release. Fixes:
     + detection of multisession DVDs. (Closes: #596387)
   * CONFIG_SYSFS_DEPRECATED was disabled in the Debian kernel packages in
     2.6.28-1, so add a Breaks: against any linux-image-2.6-$flavor
     metapackages earlier than 2.6.28. Patch courtesy of Steve Langasek.
   * When CONFIG_SYSFS_DEPRECATED is enabled in the running kernel, instead
     of aborting the installation show a debconf error message advising to
     upgrade, since this is a commonly-encountered problem on upgrades from
     lenny to squeeze and aborting leaves the system in a difficult-to-correct
     state. Patch courtesy of Steve Langasek. (Closes: #571255)
   * Since lvm still has not been fixed, revert the change from 161-1 and
     delete again the udev database created by the initramfs udev.
     (See #590665 and #593625). (Closes: #593375, #595157)
   * Depend on hardening-includes.
   * Fixed support for the deprecated tmpfs_size option. (Closes: #599074)
   * Fixed support for device ACLs. (Closes: #593881)
   * Fixed support for VIO devices. (Closes: #526621)
   * Updated one ore more debconf translations.
     (Closes: #596165, #598254, #598337, #599761, #600207)
Checksums-Sha1: 
 46a70cc91e778e519168762c0c6095ff8aac257e 1424 udev_163-1.dsc
 4152c76189ee8e88e710ca794c77aa4cb0873d73 683321 udev_163.orig.tar.gz
 7b77d96c1437de0059b1665b5d0f442c1a62d789 82267 udev_163-1.diff.gz
 cf800824e61ed121c2a7f4669283ef544213ac28 501084 udev_163-1_i386.deb
 4b500910ac91ab0392bdeae387693b7999fa87d6 114130 libudev0_163-1_i386.deb
 26cd7b229dba487eeb8f7a066c714df8f4440a46 52752 libudev-dev_163-1_i386.deb
 6ed3d84909a8e12413773d80c61145aaf079160e 184666 udev-udeb_163-1_i386.udeb
 cc2ad346f9fcd82a8577a5af0d6ec436f360a066 24882 udev-gtk-udeb_163-1_i386.udeb
 75f7e0b348a933593bcc9920359c40e590d18c90 99398 libgudev-1.0-0_163-1_i386.deb
 4620db02c02433f9e7e0e1adb4335a5ddd35b9ac 2494 gir1.0-gudev-1.0_163-1_i386.deb
 2bc04f8a5907815c3d577764b4b815c9849afd60 34058 libgudev-1.0-dev_163-1_i386.deb
Checksums-Sha256: 
 9c8d6daac37da9655c5d83872f65edf71444467843bc46744c6c3903293214b3 1424 udev_163-1.dsc
 a58f3d1ec20b897d90add2568bf8f5ded95abfa28fd41c7d5cf4e756f413c196 683321 udev_163.orig.tar.gz
 d1176b832482d001103280e8b77f77a54bcd15a1d7feb8765dd9a8574bd465e1 82267 udev_163-1.diff.gz
 a4c06094d4e62a58313766ee942b44701a74d0c1db50e04dea4a66c166fea278 501084 udev_163-1_i386.deb
 df7d316eed9ca5377e2bf3ceb32890c6e887fc07f3957fa635b87d5bee04113c 114130 libudev0_163-1_i386.deb
 dec509e6c54d6404421051a7bfec6d78ece5bbde78fd1361b52a6c5303c5d70d 52752 libudev-dev_163-1_i386.deb
 58f5229794d57f2b169eb8db9f98561f1e72cd922ca3e1f5c027010d1fc48ba4 184666 udev-udeb_163-1_i386.udeb
 832bb0c1c459b025e9cf4d20d0acb868c80058759a14c418265c12e169e442fa 24882 udev-gtk-udeb_163-1_i386.udeb
 057e14e19d454ec69b82997bfc6c6429dfd8cfe26a613f4350732988a2177660 99398 libgudev-1.0-0_163-1_i386.deb
 bf35d6bdaaf4794360dc1de1fa0b4ea3d4c4786e5623f63fe8ebe03923ca68b9 2494 gir1.0-gudev-1.0_163-1_i386.deb
 4e6ba058743cd20032bc15fee8832520eac573c55dcef4dd8baa9279c54b1651 34058 libgudev-1.0-dev_163-1_i386.deb
Files: 
 b8946717a4c3e27dff475ac7ee17d495 1424 admin important udev_163-1.dsc
 97498eb9272297ea3717bffb4dd8748e 683321 admin important udev_163.orig.tar.gz
 caceccb023754fae1d6c17354563c75a 82267 admin important udev_163-1.diff.gz
 e77de8c6d83903ac4a87dad3f8f4534d 501084 admin important udev_163-1_i386.deb
 d128b3cdc3fae6eb3f4a1f8d280104b8 114130 libs optional libudev0_163-1_i386.deb
 ea46c4c215b89aba81f3de7522085ce5 52752 libdevel optional libudev-dev_163-1_i386.deb
 ac2255e022d00c76cbaeb4736e2299b8 184666 debian-installer important udev-udeb_163-1_i386.udeb
 5058253fc28e44b6e91aaabb93a2c949 24882 debian-installer optional udev-gtk-udeb_163-1_i386.udeb
 37123c0dbdc9853db265dbb78ef6edc5 99398 libs optional libgudev-1.0-0_163-1_i386.deb
 ba7286abc8faea4828b4cf2ba5643ba0 2494 libs optional gir1.0-gudev-1.0_163-1_i386.deb
 565ac51755058dd185042dadf21000cf 34058 libdevel optional libgudev-1.0-dev_163-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky6K1MACgkQFGfw2OHuP7HWZACfXIBTEL0q/ilFdT1aLektWXY1
ArAAnRFFN9zbIbbw9LWhFlbGitBZWQMy
=Tfex
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Nov 2010 07:32:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:16:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.